Page MenuHomePhabricator

OOUI demos: Hide the content until JS is ready
Closed, DeclinedPublic

Description

When you look at the OOUI demos, whenever you switch "tabs" (from "widgets" to "icons" etc) there's a brief second where the title loads -- unstylized -- and then immediately "jumps" to the structure we expect.

This is because we inject all CSS through the JS. That's fine, but we could, fairly easily, set the original content to have display:none (or even a spinner?) and when the JS is ready, unhide the content.

The "jumping" of stylized stuff is pretty jarring.

Details

Related Gerrit Patches:

Related Objects

StatusSubtypeAssignedTask
OpenNone
DeclinedNone

Event Timeline

Mooeypoo created this task.Jun 11 2019, 8:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 11 2019, 8:41 PM

Change 518902 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[oojs/ui@master] Demos: Hide until content is ready

https://gerrit.wikimedia.org/r/518902

Jdforrester-WMF moved this task from Backlog to Doing on the OOUI board.Jun 26 2019, 11:35 PM
Volker_E closed this task as Declined.Dec 10 2019, 5:36 PM
Volker_E added a subscriber: Volker_E.

In short: We should fix the loading, not hide the loading.

Change 518902 abandoned by VolkerE:
Demos: Hide until content is ready

Reason:
This is not a useful approach, we should rather fix the loading instead of hiding the loading.

https://gerrit.wikimedia.org/r/518902